/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.test.forms;

import com.test.beans.Pompier;
import com.test.beans.UserP;
import jakarta.servlet.http.HttpServletRequest;
import java.sql.Connection;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Statement;
import java.util.ArrayList;
import java.util.logging.Level;
import java.util.logging.Logger;
/**
 *
 * @author clementine.desrucques
 */
public class AuthentifForm {
    private String resultat;
    
    public String getResultat() {
        return resultat;
    }

    public void setResultat(String resultat) {
        this.resultat = resultat;
    }

    /**
     * Contôle si les paramètres ztPseudo et ztMDP passé dans request
     * correspondent à ceux de l'addministrateur Mise à jour de l'attribut
     * resultat
     *
     * @param request
     * @return true is ok, false sinon
     */
    public boolean controlerRole(HttpServletRequest request) {
        /*  Comparaison entre l'utilisateur saisi et un utilisateur de la base de donées */
//        UserP ChefCaserne = new UserP("Michel", "mRANN");
        try{
        Statement stmt = theConnection.createStatement();
        ResultSet resultQ = null;
        resultQ = stmt.executeQuery("SELECT * FROM pompier WHERE login=ztPseudo");
        boolean isChef=false;
        Pompier userSaisi = new Pompier(resultQ.getInt("id"),
                        resultQ.getInt("idCaserne"),
                        resultQ.getString("nom"),
                        resultQ.getString("prenom"),
                        resultQ.getInt("statut"),
                        resultQ.getString("mail"),
                        resultQ.getString("login"),
                        resultQ.getString("mdp"),
                        resultQ.getInt("adrNo"),
                        resultQ.getString("adrRue"),
                        resultQ.getString("adrCP"),
                        resultQ.getString("adrVille"),
                        resultQ.getInt("grade"),
                        resultQ.getString("commentaire"));
        if(request.getParameter("ztPseudo").equals(resultQ.getString("login"))){
        isChef=true;
        }
        } catch (SQLException ex) {
            System.out.println("SQLException : " + ex.getMessage());
            System.out.println("SQLState : " + ex.getSQLState());
            System.out.println("Code erreur : " + ex.getErrorCode());
        }
        // Mise à jour de l'attribut resultat
        setResultat(isChef ? "Vous êtes chef de caserne" : "Vous n'êtes pas chef de caserne");
        
        return isChef; 
    }
    
    
}
